libetonyek::IWORKImageContext Class Reference documentation

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKImageContext Class Reference

`#include <IWORKImageContext.h>`

Inheritance diagram for libetonyek::IWORKImageContext:

## Public Member Functions
| IWORKImageContext (IWORKXMLParserState &state, IWORKMediaContentPtr_t &content)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
void | endOfElement () override
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Private Member Functions
IWORKXMLContextPtr_t | element (int name) override

## Private Attributes
IWORKMediaContentPtr_t & | m_content
IWORKDataPtr_t | m_data
boost::optional< IWORKSize > | m_size

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKImageContext()

libetonyek::IWORKImageContext::IWORKImageContext | ( | IWORKXMLParserState & | state,
|  | IWORKMediaContentPtr_t & | content
| ) |  |

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKImageContext::element | ( | int | name | ) |
| overrideprivate

## ◆ endOfElement()

void libetonyek::IWORKImageContext::endOfElement | ( |  | ) |
| overrideprotected

Referenced by libetonyek::IWORKUnfilteredElement::endOfElement().

## Member Data Documentation

## ◆ m_content

IWORKMediaContentPtr_t& libetonyek::IWORKImageContext::m_content
| private

Referenced by endOfElement().

## ◆ m_data

IWORKDataPtr_t libetonyek::IWORKImageContext::m_data
| private

Referenced by element(), and endOfElement().

## ◆ m_size

boost::optional<IWORKSize> libetonyek::IWORKImageContext::m_size
| private

Referenced by element(), and endOfElement().

The documentation for this class was generated from the following files:

- IWORKImageContext.h
- IWORKImageContext.cpp